// Code generated by goctl. DO NOT EDIT.
package handler

import (
	"net/http"

	dtgateway "GtDataStore/app/cmd/dtgateway/internal/handler/dtgateway"
	"GtDataStore/app/cmd/dtgateway/internal/svc"

	"github.com/zeromicro/go-zero/rest"
)

func RegisterHandlers(server *rest.Server, serverCtx *svc.ServiceContext) {
	server.AddRoutes(
		rest.WithMiddlewares(
			[]rest.Middleware{serverCtx.DataSign},
			[]rest.Route{
				{
					Method:  http.MethodGet,
					Path:    "/working-uf/info",
					Handler: dtgateway.WorkingUfHandler(serverCtx),
				},
				{
					Method:  http.MethodGet,
					Path:    "/working-uf/cycle",
					Handler: dtgateway.WorkingUfByCycleHandler(serverCtx),
				},
				{
					Method:  http.MethodGet,
					Path:    "/working-ro/info",
					Handler: dtgateway.WorkingRoHandler(serverCtx),
				},
				{
					Method:  http.MethodGet,
					Path:    "/working-chest/info",
					Handler: dtgateway.WorkingChestHandler(serverCtx),
				},
				{
					Method:  http.MethodGet,
					Path:    "/working-pump/info",
					Handler: dtgateway.WorkingPumpHandler(serverCtx),
				},
				{
					Method:  http.MethodGet,
					Path:    "/working-valve/info",
					Handler: dtgateway.WorkingValveHandler(serverCtx),
				},
				{
					Method:  http.MethodPost,
					Path:    "/item-history/multi-add",
					Handler: dtgateway.ItemHistoryDataMultiAddHandler(serverCtx),
				},
				{
					Method:  http.MethodGet,
					Path:    "/item-history/list",
					Handler: dtgateway.ItemHistoryDataListHandler(serverCtx),
				},
				{
					Method:  http.MethodGet,
					Path:    "/item-history/info",
					Handler: dtgateway.ItemHistoryDataInfoHandler(serverCtx),
				},
				{
					Method:  http.MethodGet,
					Path:    "/item-history/max-min",
					Handler: dtgateway.ItemHistoryDataMaxMinHandler(serverCtx),
				},
				{
					Method:  http.MethodGet,
					Path:    "/item-history/first-last",
					Handler: dtgateway.ItemHistoryDataFirstLastHandler(serverCtx),
				},
				{
					Method:  http.MethodGet,
					Path:    "/item-change/info",
					Handler: dtgateway.ChangeTypeItemDataHandler(serverCtx),
				},
				{
					Method:  http.MethodGet,
					Path:    "/app/list",
					Handler: dtgateway.FindAppListHandler(serverCtx),
				},
				{
					Method:  http.MethodGet,
					Path:    "/app/info",
					Handler: dtgateway.GetAppInfoHandler(serverCtx),
				},
				{
					Method:  http.MethodPost,
					Path:    "/app/create",
					Handler: dtgateway.CreateAppInfoHandler(serverCtx),
				},
				{
					Method:  http.MethodPost,
					Path:    "/app/remove",
					Handler: dtgateway.RemoveAppInfoHandler(serverCtx),
				},
				{
					Method:  http.MethodPost,
					Path:    "/app/disable",
					Handler: dtgateway.DisableAppInfoHandler(serverCtx),
				},
				{
					Method:  http.MethodPost,
					Path:    "/app/enable",
					Handler: dtgateway.EnableAppInfoHandler(serverCtx),
				},
				{
					Method:  http.MethodPost,
					Path:    "/app/secret/reset",
					Handler: dtgateway.ResetAppSecretHandler(serverCtx),
				},
				{
					Method:  http.MethodPost,
					Path:    "/app/secret/expire",
					Handler: dtgateway.ExpireAppSecretHandler(serverCtx),
				},
				{
					Method:  http.MethodPost,
					Path:    "/app/project/reset",
					Handler: dtgateway.ResetAppProjectHandler(serverCtx),
				},
			}...,
		),
		rest.WithPrefix("/api/dtgateway/v1"),
	)
}
