package dtgateway

import (
	"GtDataStore/app/cmd/organization/pb"
	"GtDataStore/common/xerr"
	"context"

	"GtDataStore/app/cmd/dtgateway/internal/svc"
	"GtDataStore/app/cmd/dtgateway/internal/types"

	"github.com/zeromicro/go-zero/core/logx"
)

type CreateAppInfoLogic struct {
	logx.Logger
	ctx    context.Context
	svcCtx *svc.ServiceContext
}

func NewCreateAppInfoLogic(ctx context.Context, svcCtx *svc.ServiceContext) *CreateAppInfoLogic {
	return &CreateAppInfoLogic{
		Logger: logx.WithContext(ctx),
		ctx:    ctx,
		svcCtx: svcCtx,
	}
}

func (l *CreateAppInfoLogic) CreateAppInfo(req *types.CreateAppInfoReq) (resp *types.CommonResponse, err error) {
	rpcData, err := l.svcCtx.OrganizationRpc.CreateAppInfo(l.ctx, &pb.CreateAppInfoReq{
		AppName:    req.AppName,
		ProjectIds: req.ProjectIds,
		Expire:     req.Expire,
	})
	if err != nil {
		return nil, err
	}
	return &types.CommonResponse{
		Code: xerr.OK,
		Msg:  xerr.MapErrMsg(xerr.OK),
		Data: rpcData,
	}, nil
}
