package dtgateway

import (
	"GtDataStore/app/cmd/organization/pb"
	"GtDataStore/common/xerr"
	"context"

	"GtDataStore/app/cmd/dtgateway/internal/svc"
	"GtDataStore/app/cmd/dtgateway/internal/types"

	"github.com/zeromicro/go-zero/core/logx"
)

type EnableAppInfoLogic struct {
	logx.Logger
	ctx    context.Context
	svcCtx *svc.ServiceContext
}

func NewEnableAppInfoLogic(ctx context.Context, svcCtx *svc.ServiceContext) *EnableAppInfoLogic {
	return &EnableAppInfoLogic{
		Logger: logx.WithContext(ctx),
		ctx:    ctx,
		svcCtx: svcCtx,
	}
}

func (l *EnableAppInfoLogic) EnableAppInfo(req *types.EnableAppInfoReq) (resp *types.CommonResponse, err error) {
	rpcData, err := l.svcCtx.OrganizationRpc.EnableAppInfo(l.ctx, &pb.EnableAppInfoReq{
		AppName: req.AppName,
	})
	if err != nil {
		return nil, err
	}
	return &types.CommonResponse{
		Code: xerr.OK,
		Msg:  xerr.MapErrMsg(xerr.OK),
		Data: rpcData,
	}, nil
}
