package dtgateway

import (
	"GtDataStore/app/cmd/organization/pb"
	"GtDataStore/common/xerr"
	"context"

	"GtDataStore/app/cmd/dtgateway/internal/svc"
	"GtDataStore/app/cmd/dtgateway/internal/types"

	"github.com/zeromicro/go-zero/core/logx"
)

type ExpireAppSecretLogic struct {
	logx.Logger
	ctx    context.Context
	svcCtx *svc.ServiceContext
}

func NewExpireAppSecretLogic(ctx context.Context, svcCtx *svc.ServiceContext) *ExpireAppSecretLogic {
	return &ExpireAppSecretLogic{
		Logger: logx.WithContext(ctx),
		ctx:    ctx,
		svcCtx: svcCtx,
	}
}

func (l *ExpireAppSecretLogic) ExpireAppSecret(req *types.ExpireAppSecretReq) (resp *types.CommonResponse, err error) {
	rpcData, err := l.svcCtx.OrganizationRpc.ExpireAppSecret(l.ctx, &pb.ExpireAppSecretReq{
		AppName: req.AppName,
		Expire:  req.Expire,
	})
	if err != nil {
		return nil, err
	}
	return &types.CommonResponse{
		Code: xerr.OK,
		Msg:  xerr.MapErrMsg(xerr.OK),
		Data: rpcData,
	}, nil
}
