package dtgateway

import (
	"GtDataStore/app/cmd/organization/pb"
	"GtDataStore/common/xerr"
	"context"

	"GtDataStore/app/cmd/dtgateway/internal/svc"
	"GtDataStore/app/cmd/dtgateway/internal/types"

	"github.com/zeromicro/go-zero/core/logx"
)

type FindAppListLogic struct {
	logx.Logger
	ctx    context.Context
	svcCtx *svc.ServiceContext
}

func NewFindAppListLogic(ctx context.Context, svcCtx *svc.ServiceContext) *FindAppListLogic {
	return &FindAppListLogic{
		Logger: logx.WithContext(ctx),
		ctx:    ctx,
		svcCtx: svcCtx,
	}
}

func (l *FindAppListLogic) FindAppList(req *types.FindAppListReq) (resp *types.CommonResponse, err error) {
	rpcData, err := l.svcCtx.OrganizationRpc.FindAppList(l.ctx, &pb.FindAppListReq{
		Page:     req.Page,
		PageSize: req.PageSize,
		Order:    req.Order,
	})
	if err != nil {
		return nil, err
	}
	return &types.CommonResponse{
		Code: xerr.OK,
		Msg:  xerr.MapErrMsg(xerr.OK),
		Data: rpcData,
	}, nil
}
