package dtgateway

import (
	"GtDataStore/app/cmd/organization/pb"
	"GtDataStore/common/xerr"
	"context"

	"GtDataStore/app/cmd/dtgateway/internal/svc"
	"GtDataStore/app/cmd/dtgateway/internal/types"

	"github.com/zeromicro/go-zero/core/logx"
)

type ResetAppProjectLogic struct {
	logx.Logger
	ctx    context.Context
	svcCtx *svc.ServiceContext
}

func NewResetAppProjectLogic(ctx context.Context, svcCtx *svc.ServiceContext) *ResetAppProjectLogic {
	return &ResetAppProjectLogic{
		Logger: logx.WithContext(ctx),
		ctx:    ctx,
		svcCtx: svcCtx,
	}
}

func (l *ResetAppProjectLogic) ResetAppProject(req *types.ResetAppProjectReq) (resp *types.CommonResponse, err error) {
	rpcData, err := l.svcCtx.OrganizationRpc.ResetAppProject(l.ctx, &pb.ResetAppProjectReq{
		AppName:    req.AppName,
		ProjectIds: req.ProjectIds,
	})
	if err != nil {
		return nil, err
	}
	return &types.CommonResponse{
		Code: xerr.OK,
		Msg:  xerr.MapErrMsg(xerr.OK),
		Data: rpcData,
	}, nil
}
