package logic

import (
	"context"

	"GtDataStore/app/cmd/organization/internal/svc"
	"GtDataStore/app/cmd/organization/pb"

	"github.com/zeromicro/go-zero/core/logx"
)

type ResetAppProjectLogic struct {
	ctx    context.Context
	svcCtx *svc.ServiceContext
	logx.Logger
}

func NewResetAppProjectLogic(ctx context.Context, svcCtx *svc.ServiceContext) *ResetAppProjectLogic {
	return &ResetAppProjectLogic{
		ctx:    ctx,
		svcCtx: svcCtx,
		Logger: logx.WithContext(ctx),
	}
}

func (l *ResetAppProjectLogic) ResetAppProject(in *pb.ResetAppProjectReq) (*pb.ResetAppProjectResp, error) {
	appInfo, err := l.svcCtx.AppInfo.FindOneByAppName(l.ctx, in.AppName)
	if err != nil {
		return nil, err
	}

	appInfo.ProjectIds = in.ProjectIds
	err = l.svcCtx.AppInfo.Update(l.ctx, appInfo)
	if err != nil {
		return nil, err
	}

	return &pb.ResetAppProjectResp{RemoveProjectIds: nil}, nil
}
